Bug 459258 - Count and size maintained for queue policy become inaccurate with requeued messages (RHEL4)
Count and size maintained for queue policy become inaccurate with requeued me...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity medium
: 1.0.1
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On: 456667
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-15 09:26 EDT by Gordon Sim
Modified: 2008-10-06 14:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 14:59:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-08-15 09:26:47 EDT
+++ This bug was initially created as a clone of Bug #456667 +++

The count and size of the queue currently mirrors the in-memory queue and does
not include unacked messages. Requeuing messages doesn't update the count however.

Correct logic is for unacked messages to still be considered on the queue for
the purposes of the policy until they are actually logically dequeued.

--- Additional comment from gsim@redhat.com on 2008-07-25 09:51:13 EDT ---

Fixed in r679801 on qpid.0-10 and r679805 on trunk.
Comment 2 Frantisek Reznicek 2008-09-11 05:20:53 EDT
RHTS test MRG_Messaging/qpid_queue_policy_bz452141_bz456667 proves that queue
policies (queue max message count and queue byte size) are implemented and
working fine on requeued messages. (ON_QA->VERIFIED)
Comment 4 errata-xmlrpc 2008-10-06 14:59:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0867.html

Note You need to log in before you can comment on or make changes to this bug.